Bug 245694 - Review Request: php-pear-Phlickr - Phlickr is a PHP5 based api kit used with the Flickr API
Summary: Review Request: php-pear-Phlickr - Phlickr is a PHP5 based api kit used with ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-26 03:57 UTC by Michael Stahnke
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 01:18:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2007-06-26 03:57:14 UTC
Spec URL: http://www.stahnkage.com/rpms/php-pear-Phlickr.spec
SRPM URL: http://www.stahnkage.com/rpms/php-pear-Phlickr-0.2.7-1.fc7.src.rpm
Description: Phlickr is a PHP5 based api kit used with the Flickr API

Comment 1 Jason Tibbitts 2007-06-30 20:48:36 UTC
Are you able to access the upstream web site?  All I get is an empty page in
Firefox and an "Error reading from socket" error from links.

I can't fetch the upstream source, either; sourceforge either redirects me
endlessme or eventually sends me to a nonexistent URL.

Comment 2 Michael Stahnke 2007-06-30 21:52:36 UTC
According to Drew (drewish.com frontpage) he *just* reorganized his entire site.  
The URL for the project is now: http://drewish.com/tags/phlickr
And the URL for the source, 
http://sourceforge.net/projects/phlickr/

According to http://fedoraproject.org/wiki/PackagingDrafts/SourceUrl I am
supposed to use 
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz.  I don't
think there is a macro for tolower%{name} in the spec file. It appears that
SourceForge does not honor uppercase project names in their directory structure. 
http://downloads.sourceforge.net/phlickr/Phlickr-0.2.7.tgz this works. 

New SPEC: http://www.stahnkage.com/rpms/php-pear-Phlickr.spec
SRPM URL: http://www.stahnkage.com/rpms/php-pear-Phlickr-0.2.7-2.src.rpm




Comment 3 Jason Tibbitts 2007-06-30 23:02:55 UTC
Well, you don't have to use that precise download URL if it doesn't work for
you; it's just a suggestion.

Generally it's best to leave the package name out of the summary; otherwise you
get things like the subject of this ticket: "PackageName - PackageName is a...".

Also, there's no reason to provide a copy of the license if the upstream source
doesn't include it.

I tried to run the included test suite, but honestly I have no idea how to do
it.  I tried following the instructions on the upstream web site but I get no
output.

The above nonwithstanding, I don't see any blockers.

Review:
* source files match upstream:
   3acd972cc22d4f65a086eb739c2e4490bfae1a23c6c23febe0601afbe09f1013  
   Phlickr-0.2.7.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* license text included in package (supplied in the srpm).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(Phlickr) = 0.2.7
   php-pear-Phlickr = 0.2.7-2.fc8
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
* %check is not present.  There's a test suite, but I have no idea how to 
   actually run it.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation).
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 4 Michael Stahnke 2007-07-01 01:11:24 UTC
I can change the description to not reference the package name.  I will also
contact the author about running the test suite.    

I included the license, because I thought it was the "RIGHT THING" to do.  Also,
I had no other docs, and rpmlint complains about that IIRC. 

New Package CVS Request
=======================
Package Name: php-pear-Phlickr
Short Description:  PHP5 based api kit used with the Flickr API
Owners: mastahnke@gmail.com
Branches: FC6, F7, EL-4, EL-5
InitialCC: 

Comment 5 Kevin Fenzi 2007-07-02 19:14:45 UTC
cvs done.

Comment 6 Jason Tibbitts 2007-07-10 01:18:19 UTC
This seems to have been built and pushed already, so I'll close this ticket.


Note You need to log in before you can comment on or make changes to this bug.